﻿using UnityEngine;
using UnityEngine.AI;

public class Agent : MonoBehaviour {

    [SerializeField] Transform target;
    NavMeshAgent agent;

    void Start()
    {
        // get a reference to the player's Nav Mesh Agent component
        agent = GetComponent<NavMeshAgent>();
        // set the agent's destination
        agent.SetDestination(target.position);
    }
}
